Fedora 24 gives me the error /usr/local​/matlab201​6b/bin/gln​xa64/../..​/sys/os/gl​nxa64/libs​tdc++.so.6​: version `CXXABI_1.3.9' not found (required by /lib64/libGLU.so.1)

10 views (last 30 days)
Hi - I upgraded to Fedora 24 and then installed matlab2016b. Any time I try to plot anything, it gives me the error:
/usr/local/matlab2016b/bin/glnxa64/../../sys/os/glnxa64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /lib64/libGLU.so.1)
How do I fix this? Thanks. See below for an example:
Mark London MIT
>> figure; plot([0 1], [0 1]); Error using gca While setting property 'Parent' of class 'Axes': Can't load '/usr/local/matlab2016b/bin/glnxa64/libmwosgserver.so': /usr/local/matlab2016b/bin/glnxa64/../../sys/os/glnxa64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /lib64/libGLU.so.1)
Error in newplot (line 73) ax = gca(fig);

Accepted Answer

Hari Desanur
Hari Desanur on 16 Nov 2016
Edited: Walter Roberson on 19 Jun 2017
The following bug report should be able to resolve this issue. The detailed steps for the work around is mentioned in the following bug report for a similar issue on Ubuntu:
Even though you are using Fedora 24 and MATLAB R2016b, you can try this to resolve the issue.

More Answers (3)

Eduardo Santos
Eduardo Santos on 10 Dec 2016
Hello guy!
I have the same problem. I follow this link steps but didn't work. Appear the same error.
Although it has managed to solve the problem of "`CXXABI_1.3.9' not found" by reinstalling mesa-libGLU-9.0.0-10.fc24.x86_64 library using dnf reinstall.
What would I do to solve that?
Thank you

Maximilian Appel
Maximilian Appel on 16 Dec 2016
The two answers above did not work for me. The following answer from stackoverflow helped:
What I did was I edited a file called .matlab7rc.sh (located in "path_to_ matlab/bin" folder and its hidden) and uncommented all lines that were(there are several of them): LDPATH_PREFIX='$MATLAB/sys/opengl/lib/$ARCH'
(...)

Dinesh Reddy
Dinesh Reddy on 19 Jun 2017
Thank you very much Hari. I was facing similar problem with other opensource software (Qblade. Your suggestion of changing to old version has worked thank you once again

Categories

Find more on MATLAB Compiler in Help Center and File Exchange

Tags

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!